| Flutter Linux Embedder |

Public Attributes | List of all members
_FlView Struct Reference

## Public Attributes
GtkBox | parent_instance
FlDartProject * | project
FlRendererGdk * | renderer
FlEngine * | engine
int64_t | button_state
GdkWindowState | window_state
FlKeyboardManager * | keyboard_manager
FlScrollingManager * | scrolling_manager
FlTextInputPlugin * | text_input_plugin
FlMouseCursorPlugin * | mouse_cursor_plugin
FlPlatformPlugin * | platform_plugin
GtkWidget * | event_box
GtkGLArea * | gl_area
gboolean | pointer_inside
KeyboardLayoutNotifier | keyboard_layout_notifier
GdkKeymap * | keymap
gulong | keymap_keys_changed_cb_id
gulong | window_state_cb_id
FlViewAccessible * | view_accessible

## Detailed Description

Definition at line 35 of file fl_view.cc.

## Member Data Documentation

## ◆ button_state

int64_t _FlView::button_state

Definition at line 48 of file fl_view.cc.

## ◆ engine

FlEngine* _FlView::engine

Definition at line 45 of file fl_view.cc.

## ◆ event_box

GtkWidget* _FlView::event_box

Definition at line 60 of file fl_view.cc.

## ◆ gl_area

GtkGLArea* _FlView::gl_area

Definition at line 61 of file fl_view.cc.

## ◆ keyboard_layout_notifier

KeyboardLayoutNotifier _FlView::keyboard_layout_notifier

Definition at line 67 of file fl_view.cc.

## ◆ keyboard_manager

FlKeyboardManager* _FlView::keyboard_manager

Definition at line 54 of file fl_view.cc.

## ◆ keymap

GdkKeymap* _FlView::keymap

Definition at line 68 of file fl_view.cc.

## ◆ keymap_keys_changed_cb_id

gulong _FlView::keymap_keys_changed_cb_id

Definition at line 69 of file fl_view.cc.

## ◆ mouse_cursor_plugin

FlMouseCursorPlugin* _FlView::mouse_cursor_plugin

Definition at line 57 of file fl_view.cc.

## ◆ parent_instance

GtkBox _FlView::parent_instance

Definition at line 36 of file fl_view.cc.

## ◆ platform_plugin

FlPlatformPlugin* _FlView::platform_plugin

Definition at line 58 of file fl_view.cc.

## ◆ pointer_inside

gboolean _FlView::pointer_inside

Definition at line 64 of file fl_view.cc.

## ◆ project

FlDartProject* _FlView::project

Definition at line 39 of file fl_view.cc.

## ◆ renderer

FlRendererGdk* _FlView::renderer

Definition at line 42 of file fl_view.cc.

## ◆ scrolling_manager

FlScrollingManager* _FlView::scrolling_manager

Definition at line 55 of file fl_view.cc.

## ◆ text_input_plugin

FlTextInputPlugin* _FlView::text_input_plugin

Definition at line 56 of file fl_view.cc.

## ◆ view_accessible

FlViewAccessible* _FlView::view_accessible

Definition at line 74 of file fl_view.cc.

## ◆ window_state

GdkWindowState _FlView::window_state

Definition at line 51 of file fl_view.cc.

## ◆ window_state_cb_id

gulong _FlView::window_state_cb_id

Definition at line 71 of file fl_view.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_view.cc